Bug 948640 - f18 netcdf-fortran-devel -- pkgconfig: command not found
Summary: f18 netcdf-fortran-devel -- pkgconfig: command not found
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: netcdf-fortran
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-04 21:58 UTC by René Genz
Modified: 2013-04-14 00:30 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-11 23:37:21 UTC


Attachments (Terms of Use)

Description René Genz 2013-04-04 21:58:50 UTC
Description of problem:
after installation of 'netcdf-fortran-devel' package and execution of nc-config you will receive a lot of 'pkgconfig: command not found' messages


Version-Release number of selected component (if applicable):
F18

How reproducible:
100%

Steps to Reproduce:
1.install fedora 18
2.su -c 'yum install -y netcdf-fortran-devel'
3.nc-config
  
Actual results:
/usr/bin/nf-config: line 15: pkgconfig: command not found
/usr/bin/nf-config: line 16: pkgconfig: command not found
/usr/bin/nf-config: line 119: pkgconfig: command not found


Expected results:
no error message after execution of 'nc-config'


Additional info:
note 1:
after
su -c 'yum erase -y netcdf-fortran-devel'
there will be no error output anymore for nc-config

note 2:
if netcdf-fortran-devel is installed and you replace pkgconfig with pkg-config within /usr/bin/nf-config you will recive other error message
Unknown option --flibs

Comment 1 Orion Poplawski 2013-04-05 02:13:25 UTC
Yowza, I messed that up good.  New builds coming.

Comment 2 Fedora Update System 2013-04-05 02:29:02 UTC
netcdf-fortran-4.2-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/netcdf-fortran-4.2-8.fc18

Comment 3 Fedora Update System 2013-04-05 02:29:13 UTC
netcdf-fortran-4.2-3.fc17.1 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/netcdf-fortran-4.2-3.fc17.1

Comment 4 Fedora Update System 2013-04-05 22:55:26 UTC
Package netcdf-fortran-4.2-3.fc17.1:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing netcdf-fortran-4.2-3.fc17.1'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4928/netcdf-fortran-4.2-3.fc17.1
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-04-11 23:37:23 UTC
netcdf-fortran-4.2-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-04-14 00:30:33 UTC
netcdf-fortran-4.2-3.fc17.1 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.